[ALSA-2020:4497] Moderate: cyrus-sasl security, bug fix, and enhancement update
Type:
security
Severity:
moderate
Release date:
2020-11-03
Description:
The cyrus-sasl packages contain the Cyrus implementation of Simple Authentication and Security Layer (SASL). SASL is a method for adding authentication support to connection-based protocols. Security Fix(es): * cyrus-sasl: denial of service in _sasl_add_string function (CVE-2019-19906) For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section. Additional Changes: For detailed information on changes in this release, see the AlmaLinux Release Notes linked from the References section.
References:
Updated packages:
  • cyrus-sasl-2.1.27-5.el8.i686.rpm
  • cyrus-sasl-2.1.27-5.el8.x86_64.rpm
  • cyrus-sasl-devel-2.1.27-5.el8.i686.rpm
  • cyrus-sasl-devel-2.1.27-5.el8.x86_64.rpm
  • cyrus-sasl-gs2-2.1.27-5.el8.i686.rpm
  • cyrus-sasl-gs2-2.1.27-5.el8.x86_64.rpm
  • cyrus-sasl-gssapi-2.1.27-5.el8.i686.rpm
  • cyrus-sasl-gssapi-2.1.27-5.el8.x86_64.rpm
  • cyrus-sasl-ldap-2.1.27-5.el8.i686.rpm
  • cyrus-sasl-ldap-2.1.27-5.el8.x86_64.rpm
  • cyrus-sasl-lib-2.1.27-5.el8.i686.rpm
  • cyrus-sasl-lib-2.1.27-5.el8.x86_64.rpm
  • cyrus-sasl-md5-2.1.27-5.el8.i686.rpm
  • cyrus-sasl-md5-2.1.27-5.el8.x86_64.rpm
  • cyrus-sasl-ntlm-2.1.27-5.el8.i686.rpm
  • cyrus-sasl-ntlm-2.1.27-5.el8.x86_64.rpm
  • cyrus-sasl-plain-2.1.27-5.el8.i686.rpm
  • cyrus-sasl-plain-2.1.27-5.el8.x86_64.rpm
  • cyrus-sasl-scram-2.1.27-5.el8.i686.rpm
  • cyrus-sasl-scram-2.1.27-5.el8.x86_64.rpm
  • cyrus-sasl-sql-2.1.27-5.el8.i686.rpm
  • cyrus-sasl-sql-2.1.27-5.el8.x86_64.rpm
Notes:
This page is generated automatically and has not been checked for errors. For clarification or corrections please contact the AlmaLinux Packaging Team.